// Fichier utilitaire pour le calcul du temps écoulé
String calculateTimeAgo(DateTime publicationDate) {
  final now = DateTime.now();
  final difference = now.difference(publicationDate);

  if (difference.inDays > 0) {
    return '${difference.inDays} jour${difference.inDays > 1 ? 's' : ''}';
  } else if (difference.inHours > 0) {
    return '${difference.inHours} heure${difference.inHours > 1 ? 's' : ''}';
  } else if (difference.inMinutes > 0) {
    return '${difference.inMinutes} minute${difference.inMinutes > 1 ? 's' : ''}';
  } else {
    return 'À l\'instant';
  }
}
